[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: failed to create 3dfx module package: epoch not a number

Michael Beattie wrote:
> > Package: alsa-modules-2.2.17
> > Version: 99:0.5.9d-1+jojda.2
> >
> > Package: device3dfx-module-2.2.17
> > Version: 2.3.4-2+99:jojda.2
> epochs must be at the beginning of a version, and must be a single integer.
> (yes, there is a problem with the 3dfx module source package.)
> quick hack:
> make-kpkg --revision=99:blah.foo configure
> $EDITOR .....modules/[device3dfx-dir]/debian/changelog
>  (edit the version on the first line, so the epoch is in the correct place)
> make-kpkg modules_image

  the first line of /usr/src/modules/device3dfx/debian/changelog is:

device3dfx-module-2.2.17 (2000.11.02+99:jojda.2) unstable; urgency=low

  that seems kinda strange - there does not seem to be version there,
but date.

  the first line of alsa modules changelog makes more sense:

alsa-driver (0.5.9d-3) unstable; urgency=low

  but then there is no epoch there at all!

  it looks like the changelog in alsa modules directory is the one that
was received in .deb, but the one in device3dfx directory is

  this does not make much sense - anybody care to explain (point to
where it is explained?) any help appreciated.

  is this a bug material? there is already bug filed that looks like it
is at least related:

 #59766: device3dfx-source: Modules does not recompile on make-kpkg
    Package: device3dfx-source; Reported by: Chris Pimlott
    245 days old. 

  it looks like it's quite old...


Reply to: